Boost.Nowide: boost::nowide::basic_filebuf< char > Class Reference

Boost.Nowide

Public Member Functions | Protected Member Functions | List of all members
boost::nowide::basic_filebuf< char > Class Reference

This is the implementation of std::filebuf which is used when BOOST_NOWIDE_USE_FILEBUF_REPLACEMENT is set, e.g. on Windows. More...

`#include <boost/nowide/filebuf.hpp>`

Inheritance diagram for boost::nowide::basic_filebuf< char >:

## Public Member Functions
| basic_filebuf ()
| basic_filebuf (const basic_filebuf &)=delete
basic_filebuf & | operator= (const basic_filebuf &)=delete
| basic_filebuf (basic_filebuf &&other) noexcept
basic_filebuf & | operator= (basic_filebuf &&other) noexcept
void | swap (basic_filebuf &rhs)
basic_filebuf * | open (const std::string &s, std::ios_base::openmode mode)
basic_filebuf * | open (const char *s, std::ios_base::openmode mode)
basic_filebuf * | open (const wchar_t *s, std::ios_base::openmode mode)
| Opens the file with the given name, see std::filebuf::open.
template<typename Path >
detail::enable_if_path_t< Path, basic_filebuf * > | open (const Path &file_name, std::ios_base::openmode mode)
basic_filebuf * | close ()
bool | is_open () const

## Protected Member Functions
std::streambuf * | setbuf (char *s, std::streamsize n) override
int | sync () override
int | overflow (int c=EOF) override
std::streamsize | xsputn (const char *s, std::streamsize n) override
int | underflow () override
std::streamsize | xsgetn (char *s, std::streamsize n) override
int | pbackfail (int c=EOF) override
std::streampos | seekoff (std::streamoff off, std::ios_base::seekdir seekdir, std::ios_base::openmode=std::ios_base::in|std::ios_base::out) override
std::streampos | seekpos (std::streampos pos, std::ios_base::openmode m=std::ios_base::in|std::ios_base::out) override
void | imbue (const std::locale &loc) override

## Detailed Description

This is the implementation of std::filebuf which is used when BOOST_NOWIDE_USE_FILEBUF_REPLACEMENT is set, e.g. on Windows.

It is implemented and specialized for CharType = char, it implements std::filebuf over standard C I/O

## Constructor & Destructor Documentation

## ◆ basic_filebuf()

boost::nowide::basic_filebuf< char >::basic_filebuf | ( |  | ) |
| inline

Creates new filebuf

## Member Function Documentation

## ◆ close()

basic_filebuf * boost::nowide::basic_filebuf< char >::close | ( |  | ) |
| inline

Same as std::filebuf::close()

## ◆ is_open()

bool boost::nowide::basic_filebuf< char >::is_open | ( |  | ) | const
| inline

Same as std::filebuf::is_open()

## ◆ open() [1/2]

basic_filebuf * boost::nowide::basic_filebuf< char >::open | ( | const char * | s,
|  | std::ios_base::openmode | mode
| ) |  |
| inline

Same as std::filebuf::open but s is UTF-8 string

## ◆ open() [2/2]

basic_filebuf * boost::nowide::basic_filebuf< char >::open | ( | const std::string & | s,
|  | std::ios_base::openmode | mode
| ) |  |
| inline

Same as std::filebuf::open but s is UTF-8 string

The documentation for this class was generated from the following file:

- boost/nowide/filebuf.hpp